<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>4. lekce</title>
</head>
<body>
    
    <div id="root">
        <h1>Muj seznam her</h1>
        <p>Toto je muj seznam her. Kliknutim na tlacitko zjistite vice.</p>

        <div id="test"></div>

        <!-- tady bude ul element se seznamem produktu -->
    </div>

    <script>
        // opakovani od minule
        console.log("test");

        // ulozeni funkce do promenne
        let myFirstFunction = function() {
            console.log("jsem prvni funkce");
        }

        // zavolani promenne, bez parametru
        myFirstFunction();

        // ulozeni funkce do promenne, s parametrem message
        let mySecondFunction = function(message) {
            console.log(message);
        }

        // zavolani funkce s parametrem, string - text
        mySecondFunction("Pozor pozor!");

        // zkopirovany seznam produktu z minule hodiny
        const products = [{
            name: "GTA V",
            description: "Nova super hra od 12 let na PC.",
            price: 1500,
            discount: 20
        }, {
            name: "Zaklinac 3",
            description: "CD project vydal vybornou hru ve velkem otevrenem svete. Vydano na PC.",
            price: 1200,
            discount: 5
        }, {
            name: "Tomb Raider (2018)",
            description: "Super strilecka na opustenem ostrove. Vydano 2018 na PC a PlayStation.",
            price: 420,
            discount: 0
        }]

        let testElement = document.getElementById("test");
        console.log(testElement);

        let mujFirstText = document.createTextNode("Testuju prvni text pridany z JS!");
        testElement.appendChild(mujFirstText);

        let appendProductsIntoPage = function(products) {
            // zakladni hlavni element web.stranky
            let rootElement = document.getElementById("root");

            // element ul obklopuje, tvori seznam z prvku - li
            let listElement = document.createElement("ul");

            // vlozeni ul do rootu
            rootElement.appendChild(listElement);

            // projdeme produkt po produktu a jeden po jednom "forEach" je povkladame do seznamu
            products.forEach((product, index) => {
                // pripravene promenne s elementy
                const productElement = document.createElement("li");
                const productNameElement = document.createTextNode(product.name);

                // ktere pak do sebe vkladame
                // text do li, prvku seznamu
                productElement.appendChild(productNameElement);

                // prvek seznamu - li do listElement - ul
                listElement.appendChild(productElement);
            })
        }

        // zavolani funkce se seznamem produktu
        appendProductsIntoPage(products);




    </script>

    <!--
        <ul>
            <li>hra 1</li>
            <li>hra 2</li>
        </ul>
    -->

</body>
</html>